#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>
int main() {
	int n, k, arrr[301], a;
	arrr[0] = 1;
	scanf("%d", &n);
	printf("? %d %d\n", 1, n);
	fflush(stdout);
	scanf("%d", &k);
	for (int i = 0; i < n-1; i++) {
		printf("? %d %d\n", i+1, i+2);
		fflush(stdout);
		scanf("%d", &a);
		if (a == 1)arrr[i + 1] = arrr[i];
		else if(arrr[i] == 1) arrr[i + 1] = 2;
		else arrr[i + 1] = 1;
	}
	printf("Ready!\n%d\n", k);
	for (int i = 0; i < n; i++)printf("%d ", arrr[i]);
	return 0;
}